## gh 2.45.0

=== debian/changelog ===
gh (2.45.0-1ubuntu0.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 11:29:21 +1000

gh (2.45.0-1ubuntu0.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 01 Nov 2024 09:28:25 +0100

gh (2.45.0-1ubuntu0.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Tue, 16 Jul 2024 10:24:08 +0530

gh (2.45.0-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:44:22 +0000

gh (2.45.0-1) unstable; urgency=medium

  * New upstream version 2.45.0
  * Bump versioned dependency as per go.mod

 -- Anthony Fok <foka@debian.org>  Tue, 05 Mar 2024 09:48:51 -0700

gh (2.44.1-2) unstable; urgency=medium

  * Team upload
  * Skip failed TestHTTPClientSanitizeJSONControlCharactersC0 on go1.22.

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 29 Feb 2024 19:35:33 +0800

gh (2.44.1-1) unstable; urgency=medium

  * New upstream version 2.44.1

 -- Anthony Fok <foka@debian.org>  Mon, 19 Feb 2024 11:28:08 -0700

gh (2.43.1-1) unstable; urgency=medium

  * New upstream version 2.43.1
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Wed, 07 Feb 2024 05:13:31 -0700

gh (2.42.1-1) unstable; urgency=medium

  * New upstream version 2.42.1
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Tue, 23 Jan 2024 18:54:24 -0700

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := script
export DH_GOLANG_INSTALL_ALL := 1

# Skip flaky tests, see https://github.com/cli/cli/discussions/6858
export GITHUB_ACTIONS := true

DATE_FMT = %Y-%m-%d
ifdef SOURCE_DATE_EPOCH
  BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
else
  BUILD_DATE ?= $(shell date -u "+$(DATE_FMT)")
endif

DEBIAN_VERSION := $(shell dpkg-parsechangelog --show-field Version)
BUILD_VERSION := $(shell echo "$(DEBIAN_VERSION)" | sed 's/\(+dfsg[0-9]*\)\?-.*//')
VENDOR := $(shell . /etc/os-release; echo $$ID | sed 's/^./\u&/')
BUILD_DATE += $(VENDOR) $(DEBIAN_VERSION)

LDFLAGS := -ldflags \
	'-X "github.com/cli/cli/v2/internal/build.Date=$(BUILD_DATE)" \
	 -X "github.com/cli/cli/v2/internal/build.Version=$(BUILD_VERSION)"'

all:
	@echo $(LDFLAGS)
%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_configure:
	mkdir -p _build/src/google.golang.org
	ln -s $(CURDIR)/debian/go/src/google.golang.org/grpc _build/src/google.golang.org/grpc

override_dh_auto_build:
	@command -V go
	@go version
	dh_auto_build -- $(LDFLAGS)
	_build/bin/gh --version
	mkdir -p _build/completion/bash _build/completion/zsh
	_build/bin/gh completion -s bash > _build/completion/bash/gh
	_build/bin/gh completion -s zsh > _build/completion/zsh/_gh
	_build/bin/gen-docs --man-page --doc-path _build/share/man/man1/
	$(RM) _build/bin/gen-docs

override_dh_auto_install:
	dh_auto_install -- --no-source

## gh 2.46.0

=== Makefile ===
CGO_CPPFLAGS ?= ${CPPFLAGS}
export CGO_CPPFLAGS
CGO_CFLAGS ?= ${CFLAGS}
export CGO_CFLAGS
CGO_LDFLAGS ?= $(filter -g -L% -l% -O%,${LDFLAGS})
export CGO_LDFLAGS

EXE =
ifeq ($(shell go env GOOS),windows)
EXE = .exe
endif

## The following tasks delegate to `script/build.go` so they can be run cross-platform.

.PHONY: bin/gh$(EXE)
bin/gh$(EXE): script/build$(EXE)
	@script/build$(EXE) $@

script/build$(EXE): script/build.go
ifeq ($(EXE),)
	GOOS= GOARCH= GOARM= GOFLAGS= CGO_ENABLED= go build -o $@ $<
else
	go build -o $@ $<
endif

.PHONY: clean
clean: script/build$(EXE)
	@$< $@

.PHONY: manpages
manpages: script/build$(EXE)
	@$< $@

.PHONY: completions
completions: bin/gh$(EXE)
	mkdir -p ./share/bash-completion/completions ./share/fish/vendor_completions.d ./share/zsh/site-functions
	bin/gh$(EXE) completion -s bash > ./share/bash-completion/completions/gh
	bin/gh$(EXE) completion -s fish > ./share/fish/vendor_completions.d/gh.fish
	bin/gh$(EXE) completion -s zsh > ./share/zsh/site-functions/_gh

# just a convenience task around `go test`
.PHONY: test
test:
	go test ./...

## Site-related tasks are exclusively intended for use by the GitHub CLI team and for our release automation.

site:
	git clone https://github.com/github/cli.github.com.git "$@"

.PHONY: site-docs
site-docs: site
	git -C site pull
	git -C site rm 'manual/gh*.md' 2>/dev/null || true
	go run ./cmd/gen-docs --website --doc-path site/manual
	rm -f site/manual/*.bak
	git -C site add 'manual/gh*.md'
	git -C site commit -m 'update help docs' || true

.PHONY: site-bump
site-bump: site-docs
ifndef GITHUB_REF
	$(error GITHUB_REF is not set)
endif
	sed -i.bak -E 's/(assign version = )".+"/\1"$(GITHUB_REF:refs/tags/v%=%)"/' site/index.html
	rm -f site/index.html.bak
	git -C site commit -m '$(GITHUB_REF:refs/tags/v%=%)' index.html

## Install/uninstall tasks are here for use on *nix platform. On Windows, there is no equivalent.

DESTDIR :=
prefix  := /usr/local
bindir  := ${prefix}/bin
datadir := ${prefix}/share
mandir  := ${datadir}/man

.PHONY: install
install: bin/gh manpages completions
	install -d ${DESTDIR}${bindir}
	install -m755 bin/gh ${DESTDIR}${bindir}/
	install -d ${DESTDIR}${mandir}/man1
	install -m644 ./share/man/man1/* ${DESTDIR}${mandir}/man1/
	install -d ${DESTDIR}${datadir}/bash-completion/completions
	install -m644 ./share/bash-completion/completions/gh ${DESTDIR}${datadir}/bash-completion/completions/gh
	install -d ${DESTDIR}${datadir}/fish/vendor_completions.d
	install -m644 ./share/fish/vendor_completions.d/gh.fish ${DESTDIR}${datadir}/fish/vendor_completions.d/gh.fish
	install -d ${DESTDIR}${datadir}/zsh/site-functions
	install -m644 ./share/zsh/site-functions/_gh ${DESTDIR}${datadir}/zsh/site-functions/_gh

.PHONY: uninstall
uninstall:
	rm -f ${DESTDIR}${bindir}/gh ${DESTDIR}${mandir}/man1/gh.1 ${DESTDIR}${mandir}/man1/gh-*.1
	rm -f ${DESTDIR}${datadir}/bash-completion/completions/gh
	rm -f ${DESTDIR}${datadir}/fish/vendor_completions.d/gh.fish
	rm -f ${DESTDIR}${datadir}/zsh/site-functions/_gh

=== debian/changelog ===
gh (2.46.0-4) unstable; urgency=medium

  [ Simon Josefsson ]
  * Team upload.
  * Use B-D on golang-github-cenkalti-backoff-v4-dev
  * Ignore test failures (Closes: #1120253)

  [ Otto Kekäläinen ]
  * Add minimal gbp.conf so that it is explicit what settings this repo has
  * Stop polluting upstream file paths and put build artifacts in debian/build

 -- Simon Josefsson <simon@josefsson.org>  Sat, 13 Dec 2025 23:19:28 +0100

gh (2.46.0-3) unstable; urgency=medium

  [ Loren M. Lang ]
  * Apply patch to fix CVE-2024-54132 (Closes: #1089120)
  * Apply patch to fix CVE-2024-53858 (Closes: #1088808)
  * Don't let $GH_TOKEN from the build environment break the test
  * Fixed a build error introduced in a recent test change
  * Fixed an issue with flaky download tests
  * Enabled Salsa CI for packaging repository for improved quality
    assurance before uploads to Debian archives

  [ Otto Kekäläinen ]
  * Update copyright and uploaders metadata to match current maintainers

 -- Otto Kekäläinen <otto@debian.org>  Sun, 12 Jan 2025 21:43:14 -0800

gh (2.46.0-2) unstable; urgency=medium

  * Team upload.
  [ Otto Kekäläinen ]
  * Update test to be compatible with Glamour v0.8.0. Closes: #1091585.
  [ Santiago Vila ]
  * Update build-dependency on golang-github-charmbracelet-glamour-dev.
  [ Loren M. Lang ]
  * Apply patch to fix CVE-2024-52308. Closes: #1087883.

 -- Santiago Vila <sanvila@debian.org>  Mon, 30 Dec 2024 14:10:00 +0100

gh (2.46.0-1) unstable; urgency=medium

  * New upstream version 2.46.0
  * Bump versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Tue, 26 Mar 2024 17:51:24 -0600

=== debian/control ===
Source: gh
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Otto Kekäläinen <otto@debian.org>, Loren M. Lang <lorenl@north-winds.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-bash-completion,
               dh-sequence-golang,
               git,
               golang-any (>= 2:1.21~),
               golang-github-alecaivazis-survey-dev (>= 2.3.7),
               golang-github-briandowns-spinner-dev (>= 1.18.1),
               golang-github-cenkalti-backoff-v4-dev,
               golang-github-charmbracelet-glamour-dev (>= 0.8.0),
               golang-github-charmbracelet-lipgloss-dev (>= 0.5.0),
               golang-github-cli-go-gh-v2-dev (>= 2.6.0),
               golang-github-cli-oauth-dev (>= 1.0.1),
               golang-github-cli-safeexec-dev (>= 1.0.1),
               golang-github-cpuguy83-go-md2man-v2-dev (>= 2.0.4),
               golang-github-creack-pty-dev (>= 1.1.21),
               golang-github-gabriel-vasile-mimetype-dev (>= 1.4.3),
               golang-github-gdamore-tcell.v2-dev (>= 2.5.4),
               golang-github-google-go-cmp-dev (>= 0.5.9),
               golang-github-google-shlex-dev (>= 0.0~git20191202.e7afc7f),
               golang-github-gorilla-websocket-dev (>= 1.4.2),
               golang-github-hashicorp-go-multierror-dev (>= 1.1.0),
               golang-github-hashicorp-go-version-dev (>= 1.3.0),
               golang-github-henvic-httpretty-dev (>= 0.1.3),
               golang-github-joho-godotenv-dev (>= 1.5.1),
               golang-github-kballard-go-shellquote-dev (>= 0.0~git20180428.95032a8),
               golang-github-makenowjust-heredoc-dev (>= 1.0.0),
               golang-github-mattn-go-colorable-dev (>= 0.1.13),
               golang-github-mattn-go-isatty-dev (>= 0.0.20),
               golang-github-mgutz-ansi-dev (>= 0.0~git20200706.d51e80e),
               golang-github-microsoft-dev-tunnels-dev (>= 0.0.25),
               golang-github-muhammadmuzzammil1998-jsonc-dev (>= 0.0~git20201229.615b091),
               golang-github-opentracing-opentracing-go-dev (>= 1.1.0),
               golang-github-rivo-tview-dev (>= 0.0~git20221029.c4a7e50),
               golang-github-shurcool-githubv4-dev (>= 0.0~git20230704.599ae7b),
               golang-github-spf13-cobra-dev (>= 1.6.1),
               golang-github-spf13-pflag-dev (>= 1.0.5),
               golang-github-stretchr-testify-dev (>= 1.8.4),
               golang-github-zalando-go-keyring-dev (>= 0.2.4),
               golang-golang-x-crypto-dev (>= 1:0.17.0),
               golang-golang-x-sync-dev (>= 0.1.0),
               golang-golang-x-term-dev (>= 0.15.0),
               golang-golang-x-text-dev (>= 0.14.0),
### begin google.golang.org/grpc (see debian/go/src) ###########
#              golang-google-grpc-dev (>= 1.56.3),
               golang-github-golang-protobuf-1-5-dev (>= 1.5.3),
               golang-google-genproto-dev,
### end google.golang.org/grpc #################################
               golang-google-protobuf-dev (>= 1.33.0),
               golang-gopkg-h2non-gock.v1-dev (>= 1.1.2),
               golang-gopkg-yaml.v3-dev (>= 3.0.1),
               openssh-client,
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/gh
Vcs-Git: https://salsa.debian.org/go-team/packages/gh.git
Homepage: https://cli.github.com/
XS-Go-Import-Path: github.com/cli/cli/v2

Package: gh
Section: utils
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: gitsome (<< 0.8.0+ds-7.1)
Static-Built-Using: ${misc:Static-Built-Using}
Description: GitHub CLI, GitHub’s official command line tool
 GitHub CLI "gh" is GitHub on the command line.  It brings pull requests,
 issues, and other GitHub concepts to the terminal next to where you are
 already working with git and your code.
 .
 GitHub CLI is available for repositories hosted on GitHub.com and GitHub
 Enterprise Server 2.20+, and to install on macOS, Windows, and Linux.
 .
 Comparison with hub:
 .
 For many years, hub (https://github.com/github/hub) was the unofficial
 GitHub CLI tool.  gh is a new project that helps us explore what an
 official GitHub CLI tool can look like with a fundamentally different
 design.  While both tools bring GitHub to the terminal, hub behaves as a
 proxy to git, and gh is a standalone tool.  Check out the more detailed
 explanation at https://github.com/cli/cli/blob/trunk/docs/gh-vs-hub.md
 to learn more.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,9 @@
 
 # Skip flaky tests, see https://github.com/cli/cli/discussions/6858
 export GITHUB_ACTIONS := true
+
+# If GH_TOKEN leaks into the build envivronment, it will break the test suite
+export GH_TOKEN :=
 
 DATE_FMT = %Y-%m-%d
 ifdef SOURCE_DATE_EPOCH
@@ -24,23 +27,33 @@
 
 all:
 	@echo $(LDFLAGS)
-%:
-	dh $@ --builddirectory=_build --buildsystem=golang
+
+# Force this to run so the build target can be manually executed despite build/ existing
+%: FORCE
+	dh $@ --builddirectory=debian/build --buildsystem=golang
 
 execute_before_dh_auto_configure:
-	mkdir -p _build/src/google.golang.org
-	ln -s $(CURDIR)/debian/go/src/google.golang.org/grpc _build/src/google.golang.org/grpc
+	mkdir -p debian/build/src/google.golang.org
+	ln -s $(CURDIR)/debian/go/src/google.golang.org/grpc debian/build/src/google.golang.org/grpc
 
 override_dh_auto_build:
 	@command -V go
 	@go version
 	dh_auto_build -- $(LDFLAGS)
-	_build/bin/gh --version
-	mkdir -p _build/completion/bash _build/completion/zsh
-	_build/bin/gh completion -s bash > _build/completion/bash/gh
-	_build/bin/gh completion -s zsh > _build/completion/zsh/_gh
-	_build/bin/gen-docs --man-page --doc-path _build/share/man/man1/
-	$(RM) _build/bin/gen-docs
+	debian/build/bin/gh --version
+	mkdir -p debian/build/completion/bash debian/build/completion/zsh
+	debian/build/bin/gh completion -s bash > debian/build/completion/bash/gh
+	debian/build/bin/gh completion -s zsh > debian/build/completion/zsh/_gh
+	debian/build/bin/gen-docs --man-page --doc-path debian/build/share/man/man1/
+	$(RM) debian/build/bin/gen-docs
 
 override_dh_auto_install:
 	dh_auto_install -- --no-source
+
+SKIP="Test_viewRun|Test_createRun|TestPRReview_interactive|Test_ViewRun"
+override_dh_auto_test:
+	dh_auto_test $(DH_BUILD_OPTS) -- -skip=$(SKIP)
+	-dh_auto_test $(DH_BUILD_OPTS) -- -run=$(SKIP)
+
+FORCE:
+.PHONY: FORCE

## gh store-0.10.3

=== requirements.txt ===
PyGithub>=2.1.1
fire>=0.5.0
loguru>=0.7.2
omegaconf>=2.3.0
pyyaml>=6.0.1
